﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.0.3705.0
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace com.ties {
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;
    
    
    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class BandQuotationds : DataSet {
        
        private BandQuotationDataTable tableBandQuotation;
        
        private VasDataTable tableVas;
        
        public BandQuotationds() {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        protected BandQuotationds(SerializationInfo info, StreamingContext context) {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null)) {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["BandQuotation"] != null)) {
                    this.Tables.Add(new BandQuotationDataTable(ds.Tables["BandQuotation"]));
                }
                if ((ds.Tables["Vas"] != null)) {
                    this.Tables.Add(new VasDataTable(ds.Tables["Vas"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public BandQuotationDataTable BandQuotation {
            get {
                return this.tableBandQuotation;
            }
        }
        
        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public VasDataTable Vas {
            get {
                return this.tableVas;
            }
        }
        
        public override DataSet Clone() {
            BandQuotationds cln = ((BandQuotationds)(base.Clone()));
            cln.InitVars();
            return cln;
        }
        
        protected override bool ShouldSerializeTables() {
            return false;
        }
        
        protected override bool ShouldSerializeRelations() {
            return false;
        }
        
        protected override void ReadXmlSerializable(XmlReader reader) {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["BandQuotation"] != null)) {
                this.Tables.Add(new BandQuotationDataTable(ds.Tables["BandQuotation"]));
            }
            if ((ds.Tables["Vas"] != null)) {
                this.Tables.Add(new VasDataTable(ds.Tables["Vas"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }
        
        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable() {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }
        
        internal void InitVars() {
            this.tableBandQuotation = ((BandQuotationDataTable)(this.Tables["BandQuotation"]));
            if ((this.tableBandQuotation != null)) {
                this.tableBandQuotation.InitVars();
            }
            this.tableVas = ((VasDataTable)(this.Tables["Vas"]));
            if ((this.tableVas != null)) {
                this.tableVas.InitVars();
            }
        }
        
        private void InitClass() {
            this.DataSetName = "BandQuotationds";
            this.Prefix = "";
            this.Namespace = "";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableBandQuotation = new BandQuotationDataTable();
            this.Tables.Add(this.tableBandQuotation);
            this.tableVas = new VasDataTable();
            this.Tables.Add(this.tableVas);
        }
        
        private bool ShouldSerializeBandQuotation() {
            return false;
        }
        
        private bool ShouldSerializeVas() {
            return false;
        }
        
        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e) {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove)) {
                this.InitVars();
            }
        }
        
        public delegate void BandQuotationRowChangeEventHandler(object sender, BandQuotationRowChangeEvent e);
        
        public delegate void VasRowChangeEventHandler(object sender, VasRowChangeEvent e);
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class BandQuotationDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columnquotation_version;
            
            private DataColumn columnband_code;
            
            private DataColumn columnsalesmanid;
            
            private DataColumn columnattention_to_person;
            
            private DataColumn columncopy_to_person;
            
            private DataColumn columnquotation_status;
            
            private DataColumn columne_contact_person;
            
            private DataColumn columne_contact_telephone;
            
            private DataColumn columne_address1;
            
            private DataColumn columne_address2;
            
            private DataColumn columne_country;
            
            private DataColumn columne_zipcode;
            
            private DataColumn columnwt_increment_amt;
            
            private DataColumn columnc_cust_name;
            
            private DataColumn columnc_contact_person;
            
            private DataColumn columnc_email;
            
            private DataColumn columnc_address1;
            
            private DataColumn columnc_address2;
            
            private DataColumn columnc_country;
            
            private DataColumn columnc_zipcode;
            
            private DataColumn columnc_telephone;
            
            private DataColumn columnc_fax;
            
            private DataColumn columnservice_code;
            
            private DataColumn columnservice_description;
            
            private DataColumn columnorigin_zone_code;
            
            private DataColumn columne_state_name;
            
            private DataColumn columndestination_zone_code;
            
            private DataColumn columnstart_wt;
            
            private DataColumn columnend_wt;
            
            private DataColumn columnstart_price;
            
            private DataColumn columnincrement_price;
            
            private DataColumn columnsurcharge;
            
            private DataColumn columnservice_charge_percent;
            
            private DataColumn columnremark;
            
            private DataColumn columncurrency;
            
            private DataColumn columnapplicationid;
            
            private DataColumn columnenterpriseid;
            
            private DataColumn columnenterprise_name;
            
            private DataColumn columncustid;
            
            private DataColumn columnquotation_no;
            
            private DataColumn columnquotation_date;
            
            private DataColumn columnpercent_discount;
            
            private DataColumn columne_fax;
            
            internal BandQuotationDataTable() : 
                    base("BandQuotation") {
                this.InitClass();
            }
            
            internal BandQuotationDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn quotation_versionColumn {
                get {
                    return this.columnquotation_version;
                }
            }
            
            internal DataColumn band_codeColumn {
                get {
                    return this.columnband_code;
                }
            }
            
            internal DataColumn salesmanidColumn {
                get {
                    return this.columnsalesmanid;
                }
            }
            
            internal DataColumn attention_to_personColumn {
                get {
                    return this.columnattention_to_person;
                }
            }
            
            internal DataColumn copy_to_personColumn {
                get {
                    return this.columncopy_to_person;
                }
            }
            
            internal DataColumn quotation_statusColumn {
                get {
                    return this.columnquotation_status;
                }
            }
            
            internal DataColumn e_contact_personColumn {
                get {
                    return this.columne_contact_person;
                }
            }
            
            internal DataColumn e_contact_telephoneColumn {
                get {
                    return this.columne_contact_telephone;
                }
            }
            
            internal DataColumn e_address1Column {
                get {
                    return this.columne_address1;
                }
            }
            
            internal DataColumn e_address2Column {
                get {
                    return this.columne_address2;
                }
            }
            
            internal DataColumn e_countryColumn {
                get {
                    return this.columne_country;
                }
            }
            
            internal DataColumn e_zipcodeColumn {
                get {
                    return this.columne_zipcode;
                }
            }
            
            internal DataColumn wt_increment_amtColumn {
                get {
                    return this.columnwt_increment_amt;
                }
            }
            
            internal DataColumn c_cust_nameColumn {
                get {
                    return this.columnc_cust_name;
                }
            }
            
            internal DataColumn c_contact_personColumn {
                get {
                    return this.columnc_contact_person;
                }
            }
            
            internal DataColumn c_emailColumn {
                get {
                    return this.columnc_email;
                }
            }
            
            internal DataColumn c_address1Column {
                get {
                    return this.columnc_address1;
                }
            }
            
            internal DataColumn c_address2Column {
                get {
                    return this.columnc_address2;
                }
            }
            
            internal DataColumn c_countryColumn {
                get {
                    return this.columnc_country;
                }
            }
            
            internal DataColumn c_zipcodeColumn {
                get {
                    return this.columnc_zipcode;
                }
            }
            
            internal DataColumn c_telephoneColumn {
                get {
                    return this.columnc_telephone;
                }
            }
            
            internal DataColumn c_faxColumn {
                get {
                    return this.columnc_fax;
                }
            }
            
            internal DataColumn service_codeColumn {
                get {
                    return this.columnservice_code;
                }
            }
            
            internal DataColumn service_descriptionColumn {
                get {
                    return this.columnservice_description;
                }
            }
            
            internal DataColumn origin_zone_codeColumn {
                get {
                    return this.columnorigin_zone_code;
                }
            }
            
            internal DataColumn e_state_nameColumn {
                get {
                    return this.columne_state_name;
                }
            }
            
            internal DataColumn destination_zone_codeColumn {
                get {
                    return this.columndestination_zone_code;
                }
            }
            
            internal DataColumn start_wtColumn {
                get {
                    return this.columnstart_wt;
                }
            }
            
            internal DataColumn end_wtColumn {
                get {
                    return this.columnend_wt;
                }
            }
            
            internal DataColumn start_priceColumn {
                get {
                    return this.columnstart_price;
                }
            }
            
            internal DataColumn increment_priceColumn {
                get {
                    return this.columnincrement_price;
                }
            }
            
            internal DataColumn surchargeColumn {
                get {
                    return this.columnsurcharge;
                }
            }
            
            internal DataColumn service_charge_percentColumn {
                get {
                    return this.columnservice_charge_percent;
                }
            }
            
            internal DataColumn remarkColumn {
                get {
                    return this.columnremark;
                }
            }
            
            internal DataColumn currencyColumn {
                get {
                    return this.columncurrency;
                }
            }
            
            internal DataColumn applicationidColumn {
                get {
                    return this.columnapplicationid;
                }
            }
            
            internal DataColumn enterpriseidColumn {
                get {
                    return this.columnenterpriseid;
                }
            }
            
            internal DataColumn enterprise_nameColumn {
                get {
                    return this.columnenterprise_name;
                }
            }
            
            internal DataColumn custidColumn {
                get {
                    return this.columncustid;
                }
            }
            
            internal DataColumn quotation_noColumn {
                get {
                    return this.columnquotation_no;
                }
            }
            
            internal DataColumn quotation_dateColumn {
                get {
                    return this.columnquotation_date;
                }
            }
            
            internal DataColumn percent_discountColumn {
                get {
                    return this.columnpercent_discount;
                }
            }
            
            internal DataColumn e_faxColumn {
                get {
                    return this.columne_fax;
                }
            }
            
            public BandQuotationRow this[int index] {
                get {
                    return ((BandQuotationRow)(this.Rows[index]));
                }
            }
            
            public event BandQuotationRowChangeEventHandler BandQuotationRowChanged;
            
            public event BandQuotationRowChangeEventHandler BandQuotationRowChanging;
            
            public event BandQuotationRowChangeEventHandler BandQuotationRowDeleted;
            
            public event BandQuotationRowChangeEventHandler BandQuotationRowDeleting;
            
            public void AddBandQuotationRow(BandQuotationRow row) {
                this.Rows.Add(row);
            }
            
            public BandQuotationRow AddBandQuotationRow(
                        int quotation_version, 
                        string band_code, 
                        string salesmanid, 
                        string attention_to_person, 
                        string copy_to_person, 
                        string quotation_status, 
                        string e_contact_person, 
                        string e_contact_telephone, 
                        string e_address1, 
                        string e_address2, 
                        string e_country, 
                        string e_zipcode, 
                        System.Decimal wt_increment_amt, 
                        string c_cust_name, 
                        string c_contact_person, 
                        string c_email, 
                        string c_address1, 
                        string c_address2, 
                        string c_country, 
                        string c_zipcode, 
                        string c_telephone, 
                        string c_fax, 
                        string service_code, 
                        string service_description, 
                        string origin_zone_code, 
                        string e_state_name, 
                        string destination_zone_code, 
                        System.Decimal start_wt, 
                        System.Decimal end_wt, 
                        System.Decimal start_price, 
                        System.Decimal increment_price, 
                        System.Decimal surcharge, 
                        System.Decimal service_charge_percent, 
                        string remark, 
                        string currency, 
                        string applicationid, 
                        string enterpriseid, 
                        string enterprise_name, 
                        string custid, 
                        string quotation_no, 
                        string quotation_date, 
                        System.Decimal percent_discount, 
                        string e_fax) {
                BandQuotationRow rowBandQuotationRow = ((BandQuotationRow)(this.NewRow()));
                rowBandQuotationRow.ItemArray = new object[] {
                        quotation_version,
                        band_code,
                        salesmanid,
                        attention_to_person,
                        copy_to_person,
                        quotation_status,
                        e_contact_person,
                        e_contact_telephone,
                        e_address1,
                        e_address2,
                        e_country,
                        e_zipcode,
                        wt_increment_amt,
                        c_cust_name,
                        c_contact_person,
                        c_email,
                        c_address1,
                        c_address2,
                        c_country,
                        c_zipcode,
                        c_telephone,
                        c_fax,
                        service_code,
                        service_description,
                        origin_zone_code,
                        e_state_name,
                        destination_zone_code,
                        start_wt,
                        end_wt,
                        start_price,
                        increment_price,
                        surcharge,
                        service_charge_percent,
                        remark,
                        currency,
                        applicationid,
                        enterpriseid,
                        enterprise_name,
                        custid,
                        quotation_no,
                        quotation_date,
                        percent_discount,
                        e_fax};
                this.Rows.Add(rowBandQuotationRow);
                return rowBandQuotationRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                BandQuotationDataTable cln = ((BandQuotationDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new BandQuotationDataTable();
            }
            
            internal void InitVars() {
                this.columnquotation_version = this.Columns["quotation_version"];
                this.columnband_code = this.Columns["band_code"];
                this.columnsalesmanid = this.Columns["salesmanid"];
                this.columnattention_to_person = this.Columns["attention_to_person"];
                this.columncopy_to_person = this.Columns["copy_to_person"];
                this.columnquotation_status = this.Columns["quotation_status"];
                this.columne_contact_person = this.Columns["e_contact_person"];
                this.columne_contact_telephone = this.Columns["e_contact_telephone"];
                this.columne_address1 = this.Columns["e_address1"];
                this.columne_address2 = this.Columns["e_address2"];
                this.columne_country = this.Columns["e_country"];
                this.columne_zipcode = this.Columns["e_zipcode"];
                this.columnwt_increment_amt = this.Columns["wt_increment_amt"];
                this.columnc_cust_name = this.Columns["c_cust_name"];
                this.columnc_contact_person = this.Columns["c_contact_person"];
                this.columnc_email = this.Columns["c_email"];
                this.columnc_address1 = this.Columns["c_address1"];
                this.columnc_address2 = this.Columns["c_address2"];
                this.columnc_country = this.Columns["c_country"];
                this.columnc_zipcode = this.Columns["c_zipcode"];
                this.columnc_telephone = this.Columns["c_telephone"];
                this.columnc_fax = this.Columns["c_fax"];
                this.columnservice_code = this.Columns["service_code"];
                this.columnservice_description = this.Columns["service_description"];
                this.columnorigin_zone_code = this.Columns["origin_zone_code"];
                this.columne_state_name = this.Columns["e_state_name"];
                this.columndestination_zone_code = this.Columns["destination_zone_code"];
                this.columnstart_wt = this.Columns["start_wt"];
                this.columnend_wt = this.Columns["end_wt"];
                this.columnstart_price = this.Columns["start_price"];
                this.columnincrement_price = this.Columns["increment_price"];
                this.columnsurcharge = this.Columns["surcharge"];
                this.columnservice_charge_percent = this.Columns["service_charge_percent"];
                this.columnremark = this.Columns["remark"];
                this.columncurrency = this.Columns["currency"];
                this.columnapplicationid = this.Columns["applicationid"];
                this.columnenterpriseid = this.Columns["enterpriseid"];
                this.columnenterprise_name = this.Columns["enterprise_name"];
                this.columncustid = this.Columns["custid"];
                this.columnquotation_no = this.Columns["quotation_no"];
                this.columnquotation_date = this.Columns["quotation_date"];
                this.columnpercent_discount = this.Columns["percent_discount"];
                this.columne_fax = this.Columns["e_fax"];
            }
            
            private void InitClass() {
                this.columnquotation_version = new DataColumn("quotation_version", typeof(int), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnquotation_version);
                this.columnband_code = new DataColumn("band_code", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnband_code);
                this.columnsalesmanid = new DataColumn("salesmanid", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnsalesmanid);
                this.columnattention_to_person = new DataColumn("attention_to_person", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnattention_to_person);
                this.columncopy_to_person = new DataColumn("copy_to_person", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columncopy_to_person);
                this.columnquotation_status = new DataColumn("quotation_status", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnquotation_status);
                this.columne_contact_person = new DataColumn("e_contact_person", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_contact_person);
                this.columne_contact_telephone = new DataColumn("e_contact_telephone", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_contact_telephone);
                this.columne_address1 = new DataColumn("e_address1", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_address1);
                this.columne_address2 = new DataColumn("e_address2", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_address2);
                this.columne_country = new DataColumn("e_country", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_country);
                this.columne_zipcode = new DataColumn("e_zipcode", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_zipcode);
                this.columnwt_increment_amt = new DataColumn("wt_increment_amt", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnwt_increment_amt);
                this.columnc_cust_name = new DataColumn("c_cust_name", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_cust_name);
                this.columnc_contact_person = new DataColumn("c_contact_person", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_contact_person);
                this.columnc_email = new DataColumn("c_email", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_email);
                this.columnc_address1 = new DataColumn("c_address1", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_address1);
                this.columnc_address2 = new DataColumn("c_address2", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_address2);
                this.columnc_country = new DataColumn("c_country", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_country);
                this.columnc_zipcode = new DataColumn("c_zipcode", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_zipcode);
                this.columnc_telephone = new DataColumn("c_telephone", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_telephone);
                this.columnc_fax = new DataColumn("c_fax", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnc_fax);
                this.columnservice_code = new DataColumn("service_code", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnservice_code);
                this.columnservice_description = new DataColumn("service_description", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnservice_description);
                this.columnorigin_zone_code = new DataColumn("origin_zone_code", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnorigin_zone_code);
                this.columne_state_name = new DataColumn("e_state_name", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columne_state_name);
                this.columndestination_zone_code = new DataColumn("destination_zone_code", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columndestination_zone_code);
                this.columnstart_wt = new DataColumn("start_wt", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnstart_wt);
                this.columnend_wt = new DataColumn("end_wt", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnend_wt);
                this.columnstart_price = new DataColumn("start_price", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnstart_price);
                this.columnincrement_price = new DataColumn("increment_price", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnincrement_price);
                this.columnsurcharge = new DataColumn("surcharge", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnsurcharge);
                this.columnservice_charge_percent = new DataColumn("service_charge_percent", typeof(System.Decimal), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnservice_charge_percent);
                this.columnremark = new DataColumn("remark", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columnremark);
                this.columncurrency = new DataColumn("currency", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columncurrency);
                this.columnapplicationid = new DataColumn("applicationid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnapplicationid);
                this.columnenterpriseid = new DataColumn("enterpriseid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterpriseid);
                this.columnenterprise_name = new DataColumn("enterprise_name", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnenterprise_name);
                this.columncustid = new DataColumn("custid", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columncustid);
                this.columnquotation_no = new DataColumn("quotation_no", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnquotation_no);
                this.columnquotation_date = new DataColumn("quotation_date", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnquotation_date);
                this.columnpercent_discount = new DataColumn("percent_discount", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnpercent_discount);
                this.columne_fax = new DataColumn("e_fax", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columne_fax);
                this.columnquotation_version.Namespace = "";
                this.columnband_code.Namespace = "";
                this.columnsalesmanid.Namespace = "";
                this.columnattention_to_person.Namespace = "";
                this.columncopy_to_person.Namespace = "";
                this.columnquotation_status.Namespace = "";
                this.columne_contact_person.Namespace = "";
                this.columne_contact_telephone.Namespace = "";
                this.columne_address1.Namespace = "";
                this.columne_address2.Namespace = "";
                this.columne_country.Namespace = "";
                this.columne_zipcode.Namespace = "";
                this.columnwt_increment_amt.Namespace = "";
                this.columnc_cust_name.Namespace = "";
                this.columnc_contact_person.Namespace = "";
                this.columnc_email.Namespace = "";
                this.columnc_address1.Namespace = "";
                this.columnc_address2.Namespace = "";
                this.columnc_country.Namespace = "";
                this.columnc_zipcode.Namespace = "";
                this.columnc_telephone.Namespace = "";
                this.columnc_fax.Namespace = "";
                this.columnservice_code.Namespace = "";
                this.columnservice_description.Namespace = "";
                this.columnorigin_zone_code.Namespace = "";
                this.columne_state_name.Namespace = "";
                this.columndestination_zone_code.Namespace = "";
                this.columnstart_wt.Namespace = "";
                this.columnend_wt.Namespace = "";
                this.columnstart_price.Namespace = "";
                this.columnincrement_price.Namespace = "";
                this.columnsurcharge.Namespace = "";
                this.columnservice_charge_percent.Namespace = "";
                this.columnremark.Namespace = "";
                this.columncurrency.Namespace = "";
                this.columne_fax.AllowDBNull = false;
            }
            
            public BandQuotationRow NewBandQuotationRow() {
                return ((BandQuotationRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new BandQuotationRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(BandQuotationRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.BandQuotationRowChanged != null)) {
                    this.BandQuotationRowChanged(this, new BandQuotationRowChangeEvent(((BandQuotationRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.BandQuotationRowChanging != null)) {
                    this.BandQuotationRowChanging(this, new BandQuotationRowChangeEvent(((BandQuotationRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.BandQuotationRowDeleted != null)) {
                    this.BandQuotationRowDeleted(this, new BandQuotationRowChangeEvent(((BandQuotationRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.BandQuotationRowDeleting != null)) {
                    this.BandQuotationRowDeleting(this, new BandQuotationRowChangeEvent(((BandQuotationRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveBandQuotationRow(BandQuotationRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class BandQuotationRow : DataRow {
            
            private BandQuotationDataTable tableBandQuotation;
            
            internal BandQuotationRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableBandQuotation = ((BandQuotationDataTable)(this.Table));
            }
            
            public int quotation_version {
                get {
                    try {
                        return ((int)(this[this.tableBandQuotation.quotation_versionColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.quotation_versionColumn] = value;
                }
            }
            
            public string band_code {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.band_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.band_codeColumn] = value;
                }
            }
            
            public string salesmanid {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.salesmanidColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.salesmanidColumn] = value;
                }
            }
            
            public string attention_to_person {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.attention_to_personColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.attention_to_personColumn] = value;
                }
            }
            
            public string copy_to_person {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.copy_to_personColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.copy_to_personColumn] = value;
                }
            }
            
            public string quotation_status {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.quotation_statusColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.quotation_statusColumn] = value;
                }
            }
            
            public string e_contact_person {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_contact_personColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_contact_personColumn] = value;
                }
            }
            
            public string e_contact_telephone {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_contact_telephoneColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_contact_telephoneColumn] = value;
                }
            }
            
            public string e_address1 {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_address1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_address1Column] = value;
                }
            }
            
            public string e_address2 {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_address2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_address2Column] = value;
                }
            }
            
            public string e_country {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_countryColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_countryColumn] = value;
                }
            }
            
            public string e_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_zipcodeColumn] = value;
                }
            }
            
            public System.Decimal wt_increment_amt {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.wt_increment_amtColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.wt_increment_amtColumn] = value;
                }
            }
            
            public string c_cust_name {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_cust_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_cust_nameColumn] = value;
                }
            }
            
            public string c_contact_person {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_contact_personColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_contact_personColumn] = value;
                }
            }
            
            public string c_email {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_emailColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_emailColumn] = value;
                }
            }
            
            public string c_address1 {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_address1Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_address1Column] = value;
                }
            }
            
            public string c_address2 {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_address2Column]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_address2Column] = value;
                }
            }
            
            public string c_country {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_countryColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_countryColumn] = value;
                }
            }
            
            public string c_zipcode {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_zipcodeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_zipcodeColumn] = value;
                }
            }
            
            public string c_telephone {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_telephoneColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_telephoneColumn] = value;
                }
            }
            
            public string c_fax {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.c_faxColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.c_faxColumn] = value;
                }
            }
            
            public string service_code {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.service_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.service_codeColumn] = value;
                }
            }
            
            public string service_description {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.service_descriptionColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.service_descriptionColumn] = value;
                }
            }
            
            public string origin_zone_code {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.origin_zone_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.origin_zone_codeColumn] = value;
                }
            }
            
            public string e_state_name {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.e_state_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.e_state_nameColumn] = value;
                }
            }
            
            public string destination_zone_code {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.destination_zone_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.destination_zone_codeColumn] = value;
                }
            }
            
            public System.Decimal start_wt {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.start_wtColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.start_wtColumn] = value;
                }
            }
            
            public System.Decimal end_wt {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.end_wtColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.end_wtColumn] = value;
                }
            }
            
            public System.Decimal start_price {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.start_priceColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.start_priceColumn] = value;
                }
            }
            
            public System.Decimal increment_price {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.increment_priceColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.increment_priceColumn] = value;
                }
            }
            
            public System.Decimal surcharge {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.surchargeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.surchargeColumn] = value;
                }
            }
            
            public System.Decimal service_charge_percent {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.service_charge_percentColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.service_charge_percentColumn] = value;
                }
            }
            
            public string remark {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.remarkColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.remarkColumn] = value;
                }
            }
            
            public string currency {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.currencyColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.currencyColumn] = value;
                }
            }
            
            public string applicationid {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.applicationidColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.applicationidColumn] = value;
                }
            }
            
            public string enterpriseid {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.enterpriseidColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.enterpriseidColumn] = value;
                }
            }
            
            public string enterprise_name {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.enterprise_nameColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.enterprise_nameColumn] = value;
                }
            }
            
            public string custid {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.custidColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.custidColumn] = value;
                }
            }
            
            public string quotation_no {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.quotation_noColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.quotation_noColumn] = value;
                }
            }
            
            public string quotation_date {
                get {
                    try {
                        return ((string)(this[this.tableBandQuotation.quotation_dateColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.quotation_dateColumn] = value;
                }
            }
            
            public System.Decimal percent_discount {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableBandQuotation.percent_discountColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableBandQuotation.percent_discountColumn] = value;
                }
            }
            
            public string e_fax {
                get {
                    return ((string)(this[this.tableBandQuotation.e_faxColumn]));
                }
                set {
                    this[this.tableBandQuotation.e_faxColumn] = value;
                }
            }
            
            public bool Isquotation_versionNull() {
                return this.IsNull(this.tableBandQuotation.quotation_versionColumn);
            }
            
            public void Setquotation_versionNull() {
                this[this.tableBandQuotation.quotation_versionColumn] = System.Convert.DBNull;
            }
            
            public bool Isband_codeNull() {
                return this.IsNull(this.tableBandQuotation.band_codeColumn);
            }
            
            public void Setband_codeNull() {
                this[this.tableBandQuotation.band_codeColumn] = System.Convert.DBNull;
            }
            
            public bool IssalesmanidNull() {
                return this.IsNull(this.tableBandQuotation.salesmanidColumn);
            }
            
            public void SetsalesmanidNull() {
                this[this.tableBandQuotation.salesmanidColumn] = System.Convert.DBNull;
            }
            
            public bool Isattention_to_personNull() {
                return this.IsNull(this.tableBandQuotation.attention_to_personColumn);
            }
            
            public void Setattention_to_personNull() {
                this[this.tableBandQuotation.attention_to_personColumn] = System.Convert.DBNull;
            }
            
            public bool Iscopy_to_personNull() {
                return this.IsNull(this.tableBandQuotation.copy_to_personColumn);
            }
            
            public void Setcopy_to_personNull() {
                this[this.tableBandQuotation.copy_to_personColumn] = System.Convert.DBNull;
            }
            
            public bool Isquotation_statusNull() {
                return this.IsNull(this.tableBandQuotation.quotation_statusColumn);
            }
            
            public void Setquotation_statusNull() {
                this[this.tableBandQuotation.quotation_statusColumn] = System.Convert.DBNull;
            }
            
            public bool Ise_contact_personNull() {
                return this.IsNull(this.tableBandQuotation.e_contact_personColumn);
            }
            
            public void Sete_contact_personNull() {
                this[this.tableBandQuotation.e_contact_personColumn] = System.Convert.DBNull;
            }
            
            public bool Ise_contact_telephoneNull() {
                return this.IsNull(this.tableBandQuotation.e_contact_telephoneColumn);
            }
            
            public void Sete_contact_telephoneNull() {
                this[this.tableBandQuotation.e_contact_telephoneColumn] = System.Convert.DBNull;
            }
            
            public bool Ise_address1Null() {
                return this.IsNull(this.tableBandQuotation.e_address1Column);
            }
            
            public void Sete_address1Null() {
                this[this.tableBandQuotation.e_address1Column] = System.Convert.DBNull;
            }
            
            public bool Ise_address2Null() {
                return this.IsNull(this.tableBandQuotation.e_address2Column);
            }
            
            public void Sete_address2Null() {
                this[this.tableBandQuotation.e_address2Column] = System.Convert.DBNull;
            }
            
            public bool Ise_countryNull() {
                return this.IsNull(this.tableBandQuotation.e_countryColumn);
            }
            
            public void Sete_countryNull() {
                this[this.tableBandQuotation.e_countryColumn] = System.Convert.DBNull;
            }
            
            public bool Ise_zipcodeNull() {
                return this.IsNull(this.tableBandQuotation.e_zipcodeColumn);
            }
            
            public void Sete_zipcodeNull() {
                this[this.tableBandQuotation.e_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Iswt_increment_amtNull() {
                return this.IsNull(this.tableBandQuotation.wt_increment_amtColumn);
            }
            
            public void Setwt_increment_amtNull() {
                this[this.tableBandQuotation.wt_increment_amtColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_cust_nameNull() {
                return this.IsNull(this.tableBandQuotation.c_cust_nameColumn);
            }
            
            public void Setc_cust_nameNull() {
                this[this.tableBandQuotation.c_cust_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_contact_personNull() {
                return this.IsNull(this.tableBandQuotation.c_contact_personColumn);
            }
            
            public void Setc_contact_personNull() {
                this[this.tableBandQuotation.c_contact_personColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_emailNull() {
                return this.IsNull(this.tableBandQuotation.c_emailColumn);
            }
            
            public void Setc_emailNull() {
                this[this.tableBandQuotation.c_emailColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_address1Null() {
                return this.IsNull(this.tableBandQuotation.c_address1Column);
            }
            
            public void Setc_address1Null() {
                this[this.tableBandQuotation.c_address1Column] = System.Convert.DBNull;
            }
            
            public bool Isc_address2Null() {
                return this.IsNull(this.tableBandQuotation.c_address2Column);
            }
            
            public void Setc_address2Null() {
                this[this.tableBandQuotation.c_address2Column] = System.Convert.DBNull;
            }
            
            public bool Isc_countryNull() {
                return this.IsNull(this.tableBandQuotation.c_countryColumn);
            }
            
            public void Setc_countryNull() {
                this[this.tableBandQuotation.c_countryColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_zipcodeNull() {
                return this.IsNull(this.tableBandQuotation.c_zipcodeColumn);
            }
            
            public void Setc_zipcodeNull() {
                this[this.tableBandQuotation.c_zipcodeColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_telephoneNull() {
                return this.IsNull(this.tableBandQuotation.c_telephoneColumn);
            }
            
            public void Setc_telephoneNull() {
                this[this.tableBandQuotation.c_telephoneColumn] = System.Convert.DBNull;
            }
            
            public bool Isc_faxNull() {
                return this.IsNull(this.tableBandQuotation.c_faxColumn);
            }
            
            public void Setc_faxNull() {
                this[this.tableBandQuotation.c_faxColumn] = System.Convert.DBNull;
            }
            
            public bool Isservice_codeNull() {
                return this.IsNull(this.tableBandQuotation.service_codeColumn);
            }
            
            public void Setservice_codeNull() {
                this[this.tableBandQuotation.service_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isservice_descriptionNull() {
                return this.IsNull(this.tableBandQuotation.service_descriptionColumn);
            }
            
            public void Setservice_descriptionNull() {
                this[this.tableBandQuotation.service_descriptionColumn] = System.Convert.DBNull;
            }
            
            public bool Isorigin_zone_codeNull() {
                return this.IsNull(this.tableBandQuotation.origin_zone_codeColumn);
            }
            
            public void Setorigin_zone_codeNull() {
                this[this.tableBandQuotation.origin_zone_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Ise_state_nameNull() {
                return this.IsNull(this.tableBandQuotation.e_state_nameColumn);
            }
            
            public void Sete_state_nameNull() {
                this[this.tableBandQuotation.e_state_nameColumn] = System.Convert.DBNull;
            }
            
            public bool Isdestination_zone_codeNull() {
                return this.IsNull(this.tableBandQuotation.destination_zone_codeColumn);
            }
            
            public void Setdestination_zone_codeNull() {
                this[this.tableBandQuotation.destination_zone_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isstart_wtNull() {
                return this.IsNull(this.tableBandQuotation.start_wtColumn);
            }
            
            public void Setstart_wtNull() {
                this[this.tableBandQuotation.start_wtColumn] = System.Convert.DBNull;
            }
            
            public bool Isend_wtNull() {
                return this.IsNull(this.tableBandQuotation.end_wtColumn);
            }
            
            public void Setend_wtNull() {
                this[this.tableBandQuotation.end_wtColumn] = System.Convert.DBNull;
            }
            
            public bool Isstart_priceNull() {
                return this.IsNull(this.tableBandQuotation.start_priceColumn);
            }
            
            public void Setstart_priceNull() {
                this[this.tableBandQuotation.start_priceColumn] = System.Convert.DBNull;
            }
            
            public bool Isincrement_priceNull() {
                return this.IsNull(this.tableBandQuotation.increment_priceColumn);
            }
            
            public void Setincrement_priceNull() {
                this[this.tableBandQuotation.increment_priceColumn] = System.Convert.DBNull;
            }
            
            public bool IssurchargeNull() {
                return this.IsNull(this.tableBandQuotation.surchargeColumn);
            }
            
            public void SetsurchargeNull() {
                this[this.tableBandQuotation.surchargeColumn] = System.Convert.DBNull;
            }
            
            public bool Isservice_charge_percentNull() {
                return this.IsNull(this.tableBandQuotation.service_charge_percentColumn);
            }
            
            public void Setservice_charge_percentNull() {
                this[this.tableBandQuotation.service_charge_percentColumn] = System.Convert.DBNull;
            }
            
            public bool IsremarkNull() {
                return this.IsNull(this.tableBandQuotation.remarkColumn);
            }
            
            public void SetremarkNull() {
                this[this.tableBandQuotation.remarkColumn] = System.Convert.DBNull;
            }
            
            public bool IscurrencyNull() {
                return this.IsNull(this.tableBandQuotation.currencyColumn);
            }
            
            public void SetcurrencyNull() {
                this[this.tableBandQuotation.currencyColumn] = System.Convert.DBNull;
            }
            
            public bool IsapplicationidNull() {
                return this.IsNull(this.tableBandQuotation.applicationidColumn);
            }
            
            public void SetapplicationidNull() {
                this[this.tableBandQuotation.applicationidColumn] = System.Convert.DBNull;
            }
            
            public bool IsenterpriseidNull() {
                return this.IsNull(this.tableBandQuotation.enterpriseidColumn);
            }
            
            public void SetenterpriseidNull() {
                this[this.tableBandQuotation.enterpriseidColumn] = System.Convert.DBNull;
            }
            
            public bool Isenterprise_nameNull() {
                return this.IsNull(this.tableBandQuotation.enterprise_nameColumn);
            }
            
            public void Setenterprise_nameNull() {
                this[this.tableBandQuotation.enterprise_nameColumn] = System.Convert.DBNull;
            }
            
            public bool IscustidNull() {
                return this.IsNull(this.tableBandQuotation.custidColumn);
            }
            
            public void SetcustidNull() {
                this[this.tableBandQuotation.custidColumn] = System.Convert.DBNull;
            }
            
            public bool Isquotation_noNull() {
                return this.IsNull(this.tableBandQuotation.quotation_noColumn);
            }
            
            public void Setquotation_noNull() {
                this[this.tableBandQuotation.quotation_noColumn] = System.Convert.DBNull;
            }
            
            public bool Isquotation_dateNull() {
                return this.IsNull(this.tableBandQuotation.quotation_dateColumn);
            }
            
            public void Setquotation_dateNull() {
                this[this.tableBandQuotation.quotation_dateColumn] = System.Convert.DBNull;
            }
            
            public bool Ispercent_discountNull() {
                return this.IsNull(this.tableBandQuotation.percent_discountColumn);
            }
            
            public void Setpercent_discountNull() {
                this[this.tableBandQuotation.percent_discountColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class BandQuotationRowChangeEvent : EventArgs {
            
            private BandQuotationRow eventRow;
            
            private DataRowAction eventAction;
            
            public BandQuotationRowChangeEvent(BandQuotationRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public BandQuotationRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class VasDataTable : DataTable, System.Collections.IEnumerable {
            
            private DataColumn columncurrency;
            
            private DataColumn columnvas_code;
            
            private DataColumn columnvas_descp;
            
            private DataColumn columnsurcharge;
            
            internal VasDataTable() : 
                    base("Vas") {
                this.InitClass();
            }
            
            internal VasDataTable(DataTable table) : 
                    base(table.TableName) {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive)) {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString())) {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace)) {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }
            
            [System.ComponentModel.Browsable(false)]
            public int Count {
                get {
                    return this.Rows.Count;
                }
            }
            
            internal DataColumn currencyColumn {
                get {
                    return this.columncurrency;
                }
            }
            
            internal DataColumn vas_codeColumn {
                get {
                    return this.columnvas_code;
                }
            }
            
            internal DataColumn vas_descpColumn {
                get {
                    return this.columnvas_descp;
                }
            }
            
            internal DataColumn surchargeColumn {
                get {
                    return this.columnsurcharge;
                }
            }
            
            public VasRow this[int index] {
                get {
                    return ((VasRow)(this.Rows[index]));
                }
            }
            
            public event VasRowChangeEventHandler VasRowChanged;
            
            public event VasRowChangeEventHandler VasRowChanging;
            
            public event VasRowChangeEventHandler VasRowDeleted;
            
            public event VasRowChangeEventHandler VasRowDeleting;
            
            public void AddVasRow(VasRow row) {
                this.Rows.Add(row);
            }
            
            public VasRow AddVasRow(string currency, string vas_code, string vas_descp, System.Decimal surcharge) {
                VasRow rowVasRow = ((VasRow)(this.NewRow()));
                rowVasRow.ItemArray = new object[] {
                        currency,
                        vas_code,
                        vas_descp,
                        surcharge};
                this.Rows.Add(rowVasRow);
                return rowVasRow;
            }
            
            public System.Collections.IEnumerator GetEnumerator() {
                return this.Rows.GetEnumerator();
            }
            
            public override DataTable Clone() {
                VasDataTable cln = ((VasDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }
            
            protected override DataTable CreateInstance() {
                return new VasDataTable();
            }
            
            internal void InitVars() {
                this.columncurrency = this.Columns["currency"];
                this.columnvas_code = this.Columns["vas_code"];
                this.columnvas_descp = this.Columns["vas_descp"];
                this.columnsurcharge = this.Columns["surcharge"];
            }
            
            private void InitClass() {
                this.columncurrency = new DataColumn("currency", typeof(string), null, System.Data.MappingType.Attribute);
                this.Columns.Add(this.columncurrency);
                this.columnvas_code = new DataColumn("vas_code", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnvas_code);
                this.columnvas_descp = new DataColumn("vas_descp", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnvas_descp);
                this.columnsurcharge = new DataColumn("surcharge", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnsurcharge);
                this.columncurrency.Namespace = "";
            }
            
            public VasRow NewVasRow() {
                return ((VasRow)(this.NewRow()));
            }
            
            protected override DataRow NewRowFromBuilder(DataRowBuilder builder) {
                return new VasRow(builder);
            }
            
            protected override System.Type GetRowType() {
                return typeof(VasRow);
            }
            
            protected override void OnRowChanged(DataRowChangeEventArgs e) {
                base.OnRowChanged(e);
                if ((this.VasRowChanged != null)) {
                    this.VasRowChanged(this, new VasRowChangeEvent(((VasRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowChanging(DataRowChangeEventArgs e) {
                base.OnRowChanging(e);
                if ((this.VasRowChanging != null)) {
                    this.VasRowChanging(this, new VasRowChangeEvent(((VasRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleted(DataRowChangeEventArgs e) {
                base.OnRowDeleted(e);
                if ((this.VasRowDeleted != null)) {
                    this.VasRowDeleted(this, new VasRowChangeEvent(((VasRow)(e.Row)), e.Action));
                }
            }
            
            protected override void OnRowDeleting(DataRowChangeEventArgs e) {
                base.OnRowDeleting(e);
                if ((this.VasRowDeleting != null)) {
                    this.VasRowDeleting(this, new VasRowChangeEvent(((VasRow)(e.Row)), e.Action));
                }
            }
            
            public void RemoveVasRow(VasRow row) {
                this.Rows.Remove(row);
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class VasRow : DataRow {
            
            private VasDataTable tableVas;
            
            internal VasRow(DataRowBuilder rb) : 
                    base(rb) {
                this.tableVas = ((VasDataTable)(this.Table));
            }
            
            public string currency {
                get {
                    try {
                        return ((string)(this[this.tableVas.currencyColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableVas.currencyColumn] = value;
                }
            }
            
            public string vas_code {
                get {
                    try {
                        return ((string)(this[this.tableVas.vas_codeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableVas.vas_codeColumn] = value;
                }
            }
            
            public string vas_descp {
                get {
                    try {
                        return ((string)(this[this.tableVas.vas_descpColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableVas.vas_descpColumn] = value;
                }
            }
            
            public System.Decimal surcharge {
                get {
                    try {
                        return ((System.Decimal)(this[this.tableVas.surchargeColumn]));
                    }
                    catch (InvalidCastException e) {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set {
                    this[this.tableVas.surchargeColumn] = value;
                }
            }
            
            public bool IscurrencyNull() {
                return this.IsNull(this.tableVas.currencyColumn);
            }
            
            public void SetcurrencyNull() {
                this[this.tableVas.currencyColumn] = System.Convert.DBNull;
            }
            
            public bool Isvas_codeNull() {
                return this.IsNull(this.tableVas.vas_codeColumn);
            }
            
            public void Setvas_codeNull() {
                this[this.tableVas.vas_codeColumn] = System.Convert.DBNull;
            }
            
            public bool Isvas_descpNull() {
                return this.IsNull(this.tableVas.vas_descpColumn);
            }
            
            public void Setvas_descpNull() {
                this[this.tableVas.vas_descpColumn] = System.Convert.DBNull;
            }
            
            public bool IssurchargeNull() {
                return this.IsNull(this.tableVas.surchargeColumn);
            }
            
            public void SetsurchargeNull() {
                this[this.tableVas.surchargeColumn] = System.Convert.DBNull;
            }
        }
        
        [System.Diagnostics.DebuggerStepThrough()]
        public class VasRowChangeEvent : EventArgs {
            
            private VasRow eventRow;
            
            private DataRowAction eventAction;
            
            public VasRowChangeEvent(VasRow row, DataRowAction action) {
                this.eventRow = row;
                this.eventAction = action;
            }
            
            public VasRow Row {
                get {
                    return this.eventRow;
                }
            }
            
            public DataRowAction Action {
                get {
                    return this.eventAction;
                }
            }
        }
    }
}
